<div class="all-in-one-table">
  <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs [currentPage]="title" [header]="'primary'"></elastic-breadcrumbs>
  </div>
</div>
<elastic-list [name]="title" (keyup)="onFilterChange($event)" [placeholder]="'Buscar por identificación o email'">
  <div class="actions" fxFlexAlign="center">
    <button mat-raised-button color="primary" *ngIf="ticketSearchStatus" (click)="showAll()" style="margin-left: 20px;">Mostrar todo</button>
    <button mat-raised-button color="primary" (click)="searchTickets()" style="margin-left: 20px;">Buscar</button>
  </div>
</elastic-list>
<elastic-data-table [columns]="ticketColumns" [dataPage]="currentPageTickets" [loading]="loadingTicketsTable"
  [totalRecords]="totalTickets" [pageSize]="ticketPageSize" (rowAction)="tableAction($event)"
  (changePage)="changePage($event)">
</elastic-data-table>